Submit Kling v3 task
curl --request POST \
--url https://api.wizzx.ai/api/v1/task/submit/kling-v3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Neon lights reflected on a wet Tokyo crossing at night",
"type": "text-to-video",
"resolution": "1080p",
"duration": 5
}
'import requests
url = "https://api.wizzx.ai/api/v1/task/submit/kling-v3"
payload = {
"prompt": "Neon lights reflected on a wet Tokyo crossing at night",
"type": "text-to-video",
"resolution": "1080p",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Neon lights reflected on a wet Tokyo crossing at night',
type: 'text-to-video',
resolution: '1080p',
duration: 5
})
};
fetch('https://api.wizzx.ai/api/v1/task/submit/kling-v3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_key": "<string>",
"credits_deducted": 1,
"provider_task_id": "<string>",
"provider_key": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_after": 1
}Video Generation
Submit Kling v3 task
POST a Kling v3 text-to-video or first/last-frame image-to-video task
POST
/
api
/
v1
/
task
/
submit
/
kling-v3
Submit Kling v3 task
Submit task
prompt and type are required. image-to-video takes 1 public HTTP(S) image URL (first frame) or 2 (first and last frame); text-to-video must omit image_urls. resolution is 720p (default) or 1080p, and duration is 3–15 seconds (default 5).
curl --fail-with-body --silent --show-error \
-X POST https://api.wizzx.ai/api/v1/task/submit/kling-v3 \
-H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" \
--data '{
"prompt": "Neon lights reflected on a wet Tokyo crossing at night",
"type": "text-to-video",
"resolution": "1080p",
"duration": 5,
"aspect_ratio": "16:9"
}'
/pricing for the current amount.Authorizations
Wizzx API key. This is not a JWT.
Body
application/json
- Option 1
- Option 2
text-to-video must omit image_urls; image-to-video takes 1 image (first frame) or 2 images (first and last frame). Billed per second by resolution and generate_audio.
Available options:
text-to-video Required prompt, at most 2500 Unicode characters.
Required string length:
1 - 2500Maximum array length:
2Publicly reachable HTTP(S) URL.
Pattern:
^https?://720p (standard) or 1080p (professional). 4K is not offered.
Available options:
720p, 1080p Required range:
3 <= x <= 15Defaults to 16:9. In image-to-video the first frame's ratio may take precedence.
Available options:
16:9, 9:16, 1:1 Generate native audio. Audio selects a higher per-second rate.
Maximum string length:
2500Was this page helpful?
